Module java.naming
Package javax.naming.directory

# Class InvalidSearchFilterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.directory.InvalidSearchFilterException

All Implemented Interfaces:
  `Serializable`

public class InvalidSearchFilterException extends NamingException
This exception is thrown when the specification of a search filter is invalid. The expression of the filter may be invalid, or there may be a problem with one of the parameters passed to the filter.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  - Serialized Form

## Field Summary

### Fields declared in class javax.naming.NamingException

`remainingName, resolvedName, resolvedObj, rootException`

## Constructor Summary

Constructors
Constructor
Description
`InvalidSearchFilterException()`
Constructs a new instance of InvalidSearchFilterException.
`InvalidSearchFilterException(String msg)`
Constructs a new instance of InvalidSearchFilterException with an explanation.

## Method Summary

### Methods declared in class javax.naming.NamingException

`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidSearchFilterException

public InvalidSearchFilterException()
Constructs a new instance of InvalidSearchFilterException. All fields are set to null.

### InvalidSearchFilterException

public InvalidSearchFilterException(String msg)
Constructs a new instance of InvalidSearchFilterException with an explanation. All other fields are set to null.

Parameters:
  `msg` - Detail about this exception. Can be null.
See Also:
  - `Throwable.getMessage()`